* still fighing build

This commit is contained in:
Seth Call 2015-07-14 16:22:36 -05:00
parent 6965f8e036
commit 792f196e3d
3 changed files with 4 additions and 1 deletions

View File

@ -94,7 +94,7 @@
function onStartRecording(from, payload) {
logger.debug("received start recording request from " + from);
if(context.SessionStore.isRecording()) {
if(context.SessionStore.isRecording) {
// reject the request to start the recording
context.JK.JamServer.sendP2PMessage(from, JSON.stringify(p2pMessageFactory.startRecordingAck(payload.recordingId, false, "already-recording", null)));
}

View File

@ -30,7 +30,9 @@ cp ../ruby/jam_ruby-${GEM_VERSION}.gem vendor/cache/ || { echo "unable to copy j
cp ../websocket-gateway/jam_websockets-${GEM_VERSION}.gem vendor/cache/ || { echo "unable to copy websocket-gateway gem"; exit 1; }
echo "updating dependencies"
set +e
bundle install
set -e
bundle install --path vendor/bundle
#bundle update

View File

@ -550,6 +550,7 @@ def start_recording_with(creator, joiners=[], genre=nil)
page.within_window page.driver.window_handles.last do
find('#recording-status', text: 'Start Recording')
find('a.control').trigger(:click)
screenshot_and_save_page
find('#recording-status', text: 'Stop Recording')
end
end